Đến nội dung


Hình ảnh
- - - - -

[Hỏi] chèn block thuộc tính bằng lệnh entmake


  • Please log in to reply
3 replies to this topic

#1 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 16 July 2012 - 10:20 AM

Mình đã tạo block và chèn block thuộc tính bằng lệnh entmake. Vấn đề ở đây là trên acad2010 thì text bị canh lề trái còn trên acad2007 thì text đúng như mong muốn là middle center.
Không biết việc này nguyên nhân do đâu và cách khắc phục như thế nào?
Các bạn biết vui lòng giúp đỡ.
Thanks

(defun makeb (/ p);tao block
(setvar "aflags" 0)
(SETQ P (LIST 0.0 0.0 0.0))
(if (not (tblsearch "block" "TEST" ))
(progn
(if (not(tblsearch "style" "TEN"))
(entmake (list(cons 0 "STYLE")(cons 100 "AcDbSymbolTableRecord")(cons 100 "AcDbTextStyleTableRecord")(cons 2 "TEN")(cons 3 "VHELVCB.TTF")(cons 70 0)))
)
(setq p (list 0.0 0.0 0.0))
(entmake (list (cons 0 "Block") (Cons 8 "0") (cons 2 "TEST") (cons 10 (list 0 0 0)) (cons 70 2)));khoi tao block
(entmakex (list (cons 0 "CIRCLE")(cons 8 "0")(cons 10 p)(cons 40 5.5)(cons 62 7)(cons 6 "continuous")))


(entmake (list '(0 . "ATTDEF")(cons 67 0) (cons 8 "0") (cons 62 3)
(cons 40 3.5) (cons 41 1) (cons 1 "")
(cons 10 p) (cons 11 p)(cons 7 "TEN")
(cons 2 "str") (cons 3 "")
(cons 72 1)(cons 70 0)(cons 71 0) (cons 73 0) (cons 74 2)
)
)
(entmake (list (cons 0 "ENDBLK")));ket thuc tao block
)
)
)
(defun insertb (p0 str)
(entmake (list (cons 0 "INSERT")
(cons 66 1)
(cons 2 "TEST")
(cons 10 (trans p0 1 0))
(cons 8 "TEXT")
)
)
(entmake (list (cons 0 "ATTRIB")
(cons 100 "AcDbEntity")
(cons 8 "TEXT")
(cons 62 3)
(cons 100 "AcDbText")
(cons 10 (list (car (trans p0 1 0)) (cadr (trans p0 1 0)) 6.0))
(cons 11 (list (car (trans p0 1 0)) (cadr (trans p0 1 0)) 6.0))
(cons 40 3.5)
(cons 1 str)
(cons 7 "TEN")
(cons 100 "AcDbAttribute")
(cons 2 "str")
(cons 70 0);khong lock block
(cons 72 1)(cons 71 0) (cons 73 0) (cons 74 2)
)
)
(entmake (list (cons 0 "SEQEND")))
(princ)
)

  • 0

#2 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 16 July 2012 - 11:00 AM

Tìm nguyên nhân thì hơi ngại. Cái này mình viết rồi, bạn có thể tham khảo hoặc bê về dùng luôn. hàm make insert
http://www.cadviet.c...ndpost&p=164947
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#3 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 16 July 2012 - 12:59 PM

Bạn cho minh lại cái link đi, link là của topic này mà
Thanks
  • 0

#4 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 16 July 2012 - 04:15 PM

oh, hồi sáng mình copy nhầm. đã sửa lại rồi đó. lần sau bạn nên sử dụng chức năng tìm kiếm của diễn đàn
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD